## ros-noetic-fetch-open-auto-dock 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_open_auto_dock)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    angles
    fetch_auto_dock_msgs
    fetch_driver_msgs
    geometry_msgs
    nav_msgs
    roslib
    roscpp
    rospy
    std_msgs
    tf
)
find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    actionlib
    fetch_auto_dock_msgs
    fetch_driver_msgs
    geometry_msgs
    nav_msgs
    roslib
    roscpp
    rospy
    sensor_msgs
    std_msgs
    tf
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_executable(auto_dock
  src/auto_dock.cpp
  src/controller.cpp
  src/icp_2d.cpp
  src/laser_processor.cpp
  src/perception.cpp
  src/linear_pose_filter_2d.cpp
)
target_link_libraries(auto_dock
  ${catkin_LIBRARIES}
)
add_dependencies(auto_dock
  ${catkin_EXPORTED_TARGETS}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

install(TARGETS auto_dock
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS
    scripts/dock_on_button.py
    scripts/dock_robot.py
    scripts/undock_on_button.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== test/CMakeLists.txt ===
if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

catkin_add_gtest(test_icp
  test_icp.cpp
  ../src/icp_2d.cpp
)
target_link_libraries(test_icp
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

catkin_add_gtest(test_low_pass_filter
  test_low_pass_filter.cpp
  ../src/linear_pose_filter_2d.cpp
)
target_link_libraries(test_low_pass_filter
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

=== debian/changelog ===
ros-noetic-fetch-open-auto-dock (0.1.3-2focal) focal; urgency=high

  * First Noetic release of auto dock
  * Minor python3 updates to scripts (#5 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/5>)
  * Contributors: Eric Relson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 21 Feb 2021 08:00:00 -0000

ros-noetic-fetch-open-auto-dock (0.1.2-2focal) focal; urgency=high

  * [OPEN-4] update to package format 2 (#2 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/2>)
    OPEN-4: update to package format 2
    OPEN-24: fetch_open_auto_dock does not build reliably the first time
  * Fix package name reference (#1 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/1>)
  * Contributors: Alex Moriarty, Eric Relson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-open-auto-dock (0.1.1-2focal) focal; urgency=high

  * First release of auto dock
  * Contributors: Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 18 Aug 2018 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-fetch-open-auto-dock
Section: misc
Priority: optional
Maintainer: Sarah Elliott <selliott@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-actionlib, ros-noetic-angles, ros-noetic-catkin, ros-noetic-fetch-auto-dock-msgs, ros-noetic-fetch-driver-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-fetch-open-auto-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-actionlib, ros-noetic-fetch-auto-dock-msgs, ros-noetic-fetch-driver-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: An open-source version of the Fetch charge docking system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-open-auto-dock//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
